[arch-commits] Commit in firefox-adblock-plus/repos/community-any (PKGBUILD PKGBUILD)

Sergej Pupykin spupykin at archlinux.org
Mon Nov 17 12:02:37 UTC 2014


    Date: Monday, November 17, 2014 @ 13:02:36
  Author: spupykin
Revision: 122671

archrelease: copy trunk to community-any

Added:
  firefox-adblock-plus/repos/community-any/PKGBUILD
    (from rev 122670, firefox-adblock-plus/trunk/PKGBUILD)
Deleted:
  firefox-adblock-plus/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   58 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 29 insertions(+), 29 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2014-11-17 12:02:21 UTC (rev 122670)
+++ PKGBUILD	2014-11-17 12:02:36 UTC (rev 122671)
@@ -1,29 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-
-pkgname=firefox-adblock-plus
-pkgver=2.6.5
-pkgrel=1
-pkgdesc="Extension for firefox which block ads and banners"
-arch=('any')
-url="http://adblockplus.org/"
-license=('GPL')
-groups=('firefox-addons')
-depends=("firefox")
-makedepends=('unzip')
-noextract=("adblockplus-$pkgver.xpi")
-source=("https://downloads.adblockplus.org/adblockplus-$pkgver.xpi")
-md5sums=('4ac75a9f5f7318ff53bc435dcfbf5a64')
-
-package() {
-  cd $srcdir
-  unzip adblockplus-$pkgver.xpi
-  local emid=$(sed -n -e '/<\?em:id>\?/!d; s/.*\([\"{].*[}\"]\).*/\1/; s/\"//g; p; q' install.rdf)
-  local dstdir=$pkgdir/usr/lib/firefox/browser/extensions/${emid}
-  [ -n ${emid} ] || return 1
-  install -d $dstdir
-  cp -R * $dstdir
-  rm $dstdir/*.xpi
-  find $pkgdir -type d -exec chmod 0755 {} \;
-  find $pkgdir -type f -exec chmod 0644 {} \;
-}

Copied: firefox-adblock-plus/repos/community-any/PKGBUILD (from rev 122670, firefox-adblock-plus/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2014-11-17 12:02:36 UTC (rev 122671)
@@ -0,0 +1,29 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+
+pkgname=firefox-adblock-plus
+pkgver=2.6.6
+pkgrel=1
+pkgdesc="Extension for firefox which block ads and banners"
+arch=('any')
+url="http://adblockplus.org/"
+license=('GPL')
+groups=('firefox-addons')
+depends=("firefox")
+makedepends=('unzip')
+noextract=("adblockplus-$pkgver.xpi")
+source=("https://downloads.adblockplus.org/adblockplus-$pkgver.xpi")
+md5sums=('a1b1bc6a14b437c82ac830116979e9f6')
+
+package() {
+  cd $srcdir
+  unzip adblockplus-$pkgver.xpi
+  local emid=$(sed -n -e '/<\?em:id>\?/!d; s/.*\([\"{].*[}\"]\).*/\1/; s/\"//g; p; q' install.rdf)
+  local dstdir=$pkgdir/usr/lib/firefox/browser/extensions/${emid}
+  [ -n ${emid} ] || return 1
+  install -d $dstdir
+  cp -R * $dstdir
+  rm $dstdir/*.xpi
+  find $pkgdir -type d -exec chmod 0755 {} \;
+  find $pkgdir -type f -exec chmod 0644 {} \;
+}


More information about the arch-commits mailing list